aboutsummaryrefslogtreecommitdiffstats
path: root/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build.sh')
-rw-r--r--build.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/build.sh b/build.sh
new file mode 100644
index 0000000..c398823
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+if [[ -n "$(ls -a ./hyperterm/)" && -f ./.bash_profile ]];
+then
+ cd ./hyperterm/ || exit
+
+ var1=$(find ../ -name ".bash*" -type f -exec sha512sum {} \;)
+ var2=$(find . -type f -name "*.sh" ! -iname "_custom.sh" -exec sha512sum {} \;)
+
+ alist="echo $var1 $var2"
+ $alist > tmp.txt
+
+ output="fmt -w 160 tmp.txt"
+
+ $output > hyperterm.sha512
+
+ rm -rf tmp.txt
+
+ sha512sum -c hyperterm.sha512
+
+ printf '\e[1;36m%s\e[m\n' "success hyperterm.sha512"
+else
+ printf '\e[1;31m%s\e[m\n' "Error! files not found for verification"
+fi